Subject: bug#49122: (No Subject)

From: John Kehayias <[email-masked]>
Date: Sun, 20 Jun 2021 23:59:38 +0000

I've managed to fix the initial problem I noted, but this would depend on having cairo as an input so that gobject-introspection can find the library to patch the typelib. Unfortunately, this would be a circular dependency. This is a long standing issue with how cairo is handled here (see, e.g., https://gitlab.freedesktop.org/cairo/cairo/-/issues/141).

I don't know how circular dependencies are solved in guix, so I'm not sure what to do to fix this. gobject-introspection doesn't need cairo to build or function, so the build depends is not really needed other than to fix this bug. So this could be done with a separate package or in two steps?